## ros-kinetic-calibration-estimation 0.10.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(calibration_estimation)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/camera_unittest.py)
  catkin_add_nosetests(test/checkerboard_unittest.py)
  catkin_add_nosetests(test/joint_chain_unittest.py)
  catkin_add_nosetests(test/full_chain_unittest.py)
  catkin_add_nosetests(test/single_transform_unittest.py)
  catkin_add_nosetests(test/tilting_laser_unittest.py)

  catkin_add_nosetests(test/chain_sensor_unittest.py)
  #catkin_add_nosetests(test/camera_chain_sensor_unittest.py)
  catkin_add_nosetests(test/tilting_laser_sensor_unittest.py)
endif()

install(PROGRAMS  
   src/calibration_estimation/multi_step_cov_estimator.py
   src/calibration_estimation/urdf_params.py
   src/calibration_estimation/error_visualization.py
   src/calibration_estimation/opt_runner.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-calibration-estimation (0.10.14-0xenial) xenial; urgency=high

  * remove useless dependency
  * fix bad PyKDL usage
    fixes #39 <https://github.com/ros-perception/calibration/issues/39>
  * get rid of the tf dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Apr 2016 22:00:00 -0000

ros-kinetic-calibration-estimation (0.10.13-0xenial) xenial; urgency=high

  * Fill previous_pose_guesses by zero if no initial_poses file exists
  * Fix to use stream rather than file name to load initial_poses yaml file
  * check if frame_id from bagfile and system.yaml is same
  * Contributors: Kei Okada, Ryohei Ueda

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Dec 2014 23:00:00 -0000

ros-kinetic-calibration-estimation (0.10.12-0xenial) xenial; urgency=high

  * disable covariance for now
  * fix tests
  * get checkerboard properly centerd and fix test
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-kinetic-calibration-estimation (0.10.11-0xenial) xenial; urgency=high

  * add warning if robot_description is not present in bag file
  * axis is already list
  * -Add markers showing id of calibration targets
  * Contributors: Kei Okada, Stefan Kohlbrecher

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 19 Sep 2014 22:00:00 -0000

ros-kinetic-calibration-estimation (0.10.10-0xenial) xenial; urgency=high

  * Export architecture_independent flag in package.xml
  * Contributors: Scott K Logan

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 05 May 2014 22:00:00 -0000

ros-kinetic-calibration-estimation (0.10.9-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 08 Apr 2014 22:00:00 -0000

ros-kinetic-calibration-estimation (0.10.8-0xenial) xenial; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * Contributors: Lukas Bulwahn

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Mar 2014 23:00:00 -0000

ros-kinetic-calibration-estimation (0.10.7-0xenial) xenial; urgency=high

  * fix more issues related to #21

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Jan 2014 23:00:00 -0000

ros-kinetic-calibration-estimation (0.10.6-0xenial) xenial; urgency=high

  * fix #21

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 07 Dec 2013 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-calibration-estimation
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin (>= 0.5.68)
Homepage: http://ros.org/wiki/calibration_estimation
Standards-Version: 3.9.2

Package: ros-kinetic-calibration-estimation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-matplotlib, python-scipy, ros-kinetic-calibration-msgs, ros-kinetic-python-orocos-kdl, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-sensor-msgs, ros-kinetic-urdfdom-py, ros-kinetic-visualization-msgs
Description: Runs an optimization to estimate the a robot's kinematic parameters.
 This package is a generic rewrite of pr2_calibration_estimation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-calibration-estimation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
